#!/bin/bash

#if [ -f /usr/lib/systemd/user/dbus.service ]; then

  SESS_LIST=`loginctl show-user $USER |grep Sessions= | cut -f2 -d'='`
  for sess in $SESS_LIST
  do
    if [ $sess != $XDG_SESSION_ID ]; then
      SESS_REMOTE=`loginctl show-session $sess | grep RemoteHost=`
      if [ -z $SESS_REMOTE ]; then
        SESS_TYPE=`loginctl show-session $sess | grep Type= | cut -f2 -d'='`
        if [ $SESS_TYPE == "x11" ] || [ $SESS_TYPE == "wayland" ]; then

          if [ "$LANG" = "ru_RU.UTF-8" ]; then
            SESS_CAPTION="Внимание"
            SESS_MESSAGE="У вас, $USER, уже есть открытая графическая сессия $sess. Переключаю на нее."
          else
            SESS_CAPTION="Attention"
            SESS_MESSAGE="You, $USER, have other open GUI session $sess. Switching to it."
          fi
          fly-dialog --caption "$SESS_CAPTION" --error "$SESS_MESSAGE"

          loginctl activate $sess
          loginctl unlock $sess
          exit 1

        fi
      fi
    fi
  done

#fi

exit 0
